<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Icono
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$descripcion,$imagen) {
        $sql = "INSERT INTO icono (nombre,descripcion,imagen) 
                VALUES ('$nombre','$descripcion','$imagen')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idicono,$nombre,$descripcion,$imagen) {
        $sql = "UPDATE icono SET 
                nombre = '$nombre', 
                descripcion = '$descripcion',
                imagen = '$imagen'
                WHERE idicono = '$idicono'";
        return ejecutarConsulta($sql);
    }

    public function listaricono()
    {
      $sql="SELECT * FROM icono";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idicono)
    {
      $sql="SELECT * FROM icono where idicono='$idicono'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idicono)
    {
      $sql="DELETE FROM icono where idicono='$idicono'";
      return ejecutarConsulta($sql);
    }

    public function selectIcono()
    {
      $sql="SELECT * FROM icono ";
      return ejecutarConsulta($sql);

    }



}


?>